# Conditional build:
%bcond_with	tests	# unit tests

%define		module		smspdu
%define		egg_name	smspdudecoder
%define		pypi_name	smspdudecoder
Summary:	SMS-PDU Decoder
Name:		python3-%{pypi_name}
Version:	1.1.0
Release:	8
License:	MIT
Group:		Libraries/Python
Source0:	https://github.com/Qotto/smspdudecoder/archive/%{version}.tar.gz
# Source0-md5:	d76e2a506ee62364399cc3e46de41aaf
URL:		https://github.com/Qotto/smspdudecoder/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with tests}
BuildRequires:	python3-bitstring
%endif
BuildRequires:	python3-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library will help you to decode raw SMS data you can get from a
GSM modem.

It has some encoding functionality as well.

It is recommended to read GSM 03.40 to facilitate understanding.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-smspdudecoder.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> eb392b2
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> ba83e07
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 28b10ea
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> b4f51f2
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 04ceba3
- rebuild with python 3.10

* Mon Mar 01 2021 Jan Rękorajski <baggins@pld-linux.org> 76dc14e
- release 3 (by relup.sh)

* Mon Mar 01 2021 Jan Rękorajski <baggins@pld-linux.org> efd1539
- noarch package

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 71b32bd
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri May 24 2019 Elan Ruusamäe <glen@pld-linux.org> d72d911
- use epoch 1 for python3 package

* Tue Apr 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 200157a
- bitstring

* Tue Apr 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 40cfb0f
- initial

